Bug 432708 - 2.6.23.15-80.fc7 Hangs right before rhgb
2.6.23.15-80.fc7 Hangs right before rhgb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 17:29 EST by Josh Lange
Modified: 2008-05-28 18:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 18:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (3.56 KB, text/plain)
2008-02-13 17:29 EST, Josh Lange
no flags Details
xorg.conf (772 bytes, application/octet-stream)
2008-02-13 17:29 EST, Josh Lange
no flags Details
lsmod (2.81 KB, application/octet-stream)
2008-02-13 17:30 EST, Josh Lange
no flags Details

  None (edit)
Description Josh Lange 2008-02-13 17:29:18 EST
Description of problem:
Yesterday, we upgraded 200 of our machines (the packages/versions are identical
across all of these systems) from kernel 2.6.23.8-34.fc7 to 2.6.23.15-80.fc7.

Most of the systems run fine, however, about a dozen of our systems (Dell
gx260's) with the hardware configuration listed below hang on a black screen as
they launch Xorg for the rhgb process. I've tried ssh/pinging the boxes, sending
ctrl+alt+del, sending ctrl+alt+f2, ctrl+alt+backspace, etc, but they do not
respond at all (These systems run fine under 2.6.23.8-34.fc7).

On top of that, these systems boot fine into runlevel 3, and from there "startx"
can reliably start Xorg with the proper display settings.

package versions to note on these systems:
libX11-1.0.3-8.fc7
rhgb-0.17.6-1.fc7


How reproducible: 75% of the time, on affected systems


Steps to Reproduce:
1. upgrade to 2.6.23.15-80.fc7
2. reboot

Actual results:
hangs right before rhgb

Additional info:
will attach.
Comment 1 Josh Lange 2008-02-13 17:29:18 EST
Created attachment 294846 [details]
lspci -v
Comment 2 Josh Lange 2008-02-13 17:29:49 EST
Created attachment 294847 [details]
xorg.conf
Comment 3 Josh Lange 2008-02-13 17:30:21 EST
Created attachment 294848 [details]
lsmod
Comment 4 Chuck Ebbert 2008-02-29 18:28:21 EST
Does removing "rhgb" from the kernel boot options fix the problem?
Comment 5 Josh Lange 2008-03-03 14:49:13 EST
The systems don't crash when rhgb is not used. It's a good enough fix for us,
but it doesn't explain what is going on.
Comment 6 Bug Zapper 2008-05-14 11:19:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.